> ## Documentation Index
> Fetch the complete documentation index at: https://docs.activeviam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List available feature flags.

> Returns feature flags grouped by feature area. Recognised developers receive every group and flag; other
authenticated callers receive only groups with active flags, and only their active flags. This operation is
read-only, and an empty dictionary is valid.



## OpenAPI

````yaml /risk-and-pricing/atoti-risk-services/apis-endpoints/openapi/openapi.mintlify.json get /api/FeatureFlag/GetGroupedFeatureFlags
openapi: 3.0.4
info:
  title: Derivitec Api 1.0
  version: '1.0'
servers:
  - url: https://api.riskportal.activeviam.com
security:
  - oauth2: []
  - apikey: []
tags:
  - name: AdminUser
  - name: AtotiReport
  - name: AtotiSession
  - name: BloombergOAuth
  - name: Bond
  - name: BondYieldCurvePage
  - name: BookAccess
  - name: Books
  - name: Commodity
  - name: Counterparties
  - name: Currencies
  - name: Equity
  - name: EquityDividend
  - name: EquityPage
  - name: FeatureFlag
  - name: Fx
  - name: FxPage
  - name: GroupAccess
  - name: Home
  - name: LegacyPosition
  - name: MarketData
  - name: MarketDataProvider
  - name: MarketDataProviderAccess
  - name: Meta
  - name: Notification
  - name: Organisation
  - name: PnLReport
  - name: PortfolioAccess
  - name: Portfolios
  - name: Position
  - name: PositionFilter
  - name: PricingEnvironment
  - name: PricingEnvironmentAccess
  - name: RateAsset
  - name: RateAssetPage
  - name: Report
  - name: ReportDefinition
  - name: ReportHistoryLauncherQuery
  - name: ReportLauncher
  - name: ReportQuery
  - name: ReportQueryViewUser
  - name: ReportRestriction
  - name: ReportView
  - name: RiskReport
  - name: Tradable
  - name: TradeBooking
  - name: User
  - name: VarReport
  - name: VarReportQuery
  - name: YieldCurvePage
paths:
  /api/FeatureFlag/GetGroupedFeatureFlags:
    get:
      tags:
        - FeatureFlag
      summary: List available feature flags.
      description: >-
        Returns feature flags grouped by feature area. Recognised developers
        receive every group and flag; other

        authenticated callers receive only groups with active flags, and only
        their active flags. This operation is

        read-only, and an empty dictionary is valid.
      operationId: GetGroupedFeatureFlags
      responses:
        '200':
          description: >-
            Returns a dictionary of feature-area names to feature-flag
            collections; an empty dictionary is valid.
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    $ref: '#/components/schemas/FeatureFlagDto'
        '400':
          description: BadRequest
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2: []
        - apikey: []
components:
  schemas:
    FeatureFlagDto:
      required:
        - $type
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the feature flag.
          format: uuid
          example: 5b184e51-8116-42a2-9f55-c2e8af0f5179
        name:
          type: string
          description: Display name of the feature flag.
          nullable: true
          example: Example feature
        description:
          type: string
          description: User-facing description of the feature flag.
          nullable: true
          example: Controls availability of an example feature.
        group:
          enum:
            - equity
            - fx
            - fixed_income
          type: string
          description: Feature area to which the flag belongs.
        is_active:
          type: boolean
          description: Whether the feature flag is active.
          example: true
        $type:
          type: string
          enum:
            - Derivitec.Core.Model.FeatureFlagDto, Derivitec.Core.Model
      additionalProperties: false
      description: Feature-flag record used to read or update feature availability.
  securitySchemes:
    oauth2:
      type: oauth2
      description: >-
        OAuth2 access-token requested from AWS Cognito and provided as a Auth
        Bearer header
      flows:
        implicit:
          authorizationUrl: https://auth.riskportal.derivitec.com/oauth2/authorize
          scopes: {}
    apikey:
      type: apiKey
      description: API-Key requested via the site and provided as a header
      name: x-api-key
      in: header

````